# Class ExpandRowService<Data>

#### Type Parameters

- Data extends Record<string, any>

- Defined in packages/angular/material/table-system/src/lib/expand-row/expand-row.service.ts:7

#####
Index

### Constructors

constructor

### Properties

expandedRow

### Methods

isExpanded
isExpanded$
toggleRow

##
Constructors

### constructor

- new ExpandRowService<Data extends Record<string, any>>(): ExpandRowService<Data>

  #### Type Parameters

  - Data extends Record<string, any>

  #### Returns ExpandRowService<Data>

##
Properties

### expandedRow

expandedRow: BehaviorSubject<null | Data> = ...

- Defined in packages/angular/material/table-system/src/lib/expand-row/expand-row.service.ts:8

##
Methods

### isExpanded

- isExpanded(row: Data): boolean

  #### Parameters

  - row: Data

  #### Returns boolean

  - Defined in packages/angular/material/table-system/src/lib/expand-row/expand-row.service.ts:18

### isExpanded$

- isExpanded$(row: Data): Observable<boolean>

  #### Parameters

  - row: Data

  #### Returns Observable<boolean>

  - Defined in packages/angular/material/table-system/src/lib/expand-row/expand-row.service.ts:22

### toggleRow

- toggleRow(row: Data): void

  #### Parameters

  - row: Data

  #### Returns void

  - Defined in packages/angular/material/table-system/src/lib/expand-row/expand-row.service.ts:10